## NAME

v.build.polylines - Build polylines from lines.

## SYNOPSIS

v.build.polylines
v.build.polylines help
v.build.polylines [-q] input=string output=string

### Flags:

-q
  Run quietly

### Parameters:

input=string
  Input binary vector map
output=string
  Output vector map

## DESCRIPTION

v.build.polylines builds polylines from the lines in a binary vector file.

A line is a single straight line segment defined by one start node, one end node and no other nodes. A polyline is also defined by one start node, one end node and no other nodes, but is made of two or more consecutive straight line segments. The connections between the constituent line segments of a polyline do not appear as nodes in the vector map.

Polylines provide the most appropriate representation of curved lines when it is important that nodes serve to define topology rather than geometry. Curved lines are usually digitized as polylines, but these are sometimes broken into their constituent straight line segments during conversion from one data format to another. v.build.polylines can be used to rebuild such broken polylines.

## NOTES

If the lines that make up a polyline are of different types, then v.build.polylines will set the type from the first constituent line. v.build.polylines will issue a warning unless the flag -q has been set. It is possible to keep a list of all such warnings by redirecting standard output to a file.

If the lines that make up a polyline have different attribute values then v.build.polylines will set the attribute value of the polyline to that of the last line (this is the behaviour of v.build, which is used to assign the attribute values).

v.build.polylines correctly handles input maps containing lines, area edges and points. Lines and area edges will be converted to polylines of the desired type. Areas are only guaranteed to be preserved if the constituent lines of the polylines that define them are all area edges in the input map.

## ACKNOWLEDGEMENTS

This program was originally written during Mark Lake's tenure of a Leverhulme Special Research Fellowship at University College London.

## SEE ALSO

v.build
v.in.ascii
parser

## AUTHORS

Mark Lake, Institute of Archaeology, University College London. Major rewrite by Radim Blazek, October 2002

Last changed: $Date: 2004/07/22 12:13:17 $

Help Index